<?php
define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Игрок'; 
require_once("../incfiles/core.php");
require_once("../incfiles/head.php");
require_once("manfunc.php"); 

$q=mysql_query("select * from fman_players where id=$id;");
$a=mysql_fetch_array($q);

if($_POST[stavka])
{
	if($a[trans_time]>=time())
	{
		$cena=($_POST[cena]*500000)+$a[cena];
		if($dataclub[budj]>=$cena)
		{
			if($realtime>($a[trans_time]-60))$a[trans_time]=$a[trans_time]+180;
			mysql_query("update fman_players set cena=$cena, zarplat=$club_id, trans_time=$a[trans_time] where id=$a[id]");
			$q=false; $a=false;
			$q=mysql_query("select * from fman_players where id=$id;");
			$a=mysql_fetch_array($q);
			$er="Ваша ставка принята!";
		}
		else 
			$er="У вас недостаточно средств для такой ставки!";
	}
	else
		$er="Время приема ставок вышло!";
}
if($er)echo"<div class='bmenu'>$er</div>";

$qt=mysql_query("select * from fman_clubs where id=$a[team_id];");
if($qt)$tdata=mysql_fetch_array($qt);

$qu=mysql_query("select * from users where id=$tdata[user_id];");
if($qu)$udata=mysql_fetch_array($qu);

$market=(1000000*$a[rait])+(($a[u]+$a[vyn]+$a[ig]+$a[otb]+$a[drib]+($a[gk]*4)+$a[f]+$a[toch]+$a[priem]+$a[pas])*500000);
echo"<h2 align='center'>$textl</h2>";

switch($act)
{
	default:
	
	echo"<div class='menu'><img src='$a[foto]' alt='$a[name]'/></div>
	<div class='menu'>Имя: <b>$a[name]</b></div>
	<div class='menu'>Возраст: <b>$a[age]</b></div>
	<div class='menu'>Рост: <b>$a[height]</b> см</div>
	<div class='menu'>Гражданство: <b>$a[nationality]</b></div>";
	
	if($a[team_id])echo"<div class='menu'>Клуб: <a href='club.php?id=$a[team_id]'>$tdata[name]</a></div>";
	
	echo"<div class='phdr'>Игровые данные</div>
	<div class='menu'>Амплуа: ".strtr($a[ampl],array(10=>'Нападающий (Н)',1=>'Вратарь (В)',2=>'Левый защитник (ЛЗ)',3=>'Центральный защитник (ЦЗ)',4=>'Правый защитник (ПЗ)',5=>'Опорный полузащитник (ОП)',6=>'Левый полузащитник (ЛП)',7=>'Центральный полузащитник (ЦП)',8=>'Правый полузащитник (ПП)',9=>'Атакующий полузащитник (АП)'))."</div>
	<div class='menu'>Талант: ".navyk($a[rait])." ($a[rait]/20)</div>
	<div class='menu'>Баллы опыта: <b>$a[ball]</b></div>
	<div class='menu'>Форма: ".navyk($a[forma])." ($a[forma]/10)</div>
	<div class='menu'>Усталость: ".navyk($a[ust])." ($a[ust]/10)</div>
	<div class='menu'>Настроение: ".navyk($a[nast])." ($a[nast]/10)</div>";
	
	if($a[travm])$a[travm]=$a[travm]." нед."; 
	else $a[travm]="нет";
	echo"<div class='menu'>Травма: $a[travm]</div><div class='phdr'>Навыки</div>";
	for($i=1;$i<11;$i++){
	$nav=strtr($i,array(1=>'u',2=>'vyn',3=>'drib',4=>'pas',5=>'priem',6=>'otb',7=>'ig',8=>'f',9=>'toch',10=>'gk'));
	$navr=strtr($i,array(1=>'Скорость',2=>'Выносливость',3=>'Дриблинг',4=>'Пас',5=>'Приём',6=>'Отбор',7=>'Игра головой',8=>'Сила удара',9=>'Точность удара',10=>'Вратарский навык'));
	echo"<div class='menu'>$navr: ".navyk($a[$nav])." ($a[$nav]/20)"; if($club_id==$a[team_id])echo"<div class='sub'>[<a href='player.php?act=pod&amp;nav=$nav&amp;id=$id'>поднять</a>]</div>"; echo"</div>";}
	$zarplat=round($market/800);
	echo"<div class='menu'>Зарплата: $".number_format($zarplat,0,'.',' ')." в вирт.неделю</div>
	<div class='menu'>Трансферная цена: $".number_format($market,0,'.',' ')."</div>";
	if($a[trans])
	{
		echo"<div class='phdr'>Продажа игрока. Аукцион</div>
		<div class='menu'>Окончание приема ставок: ".functions::display_date($a[trans_time])."</div>
		<div class='menu'>Текущая ставка: <b>$".number_format($a[cena],0,'.',' ')."</b>";
		if($a[zarplat])
		{
			$qw=mysql_query("select * from fman_clubs where id=$a[zarplat];");
			$wd=mysql_fetch_array($qw);
			if($a[zarplat]!=$club_id)echo" [<a href='club.php?id=$a[zarplat]'>$wd[name]</a>]"; else echo" [<b>$wd[name]</b>]";
		}
		echo"</div>";
		if($club_id && $realtime<$a[trans_time])
		{
			echo"<div class='menu'><form action='player.php?id=$id' method='post'>Сумма на кторую вы хотите поднять текущую ставку:<br/><select name='cena'>";
			for($i=1;$i<21;$i++)echo"<option value='$i'>".($i*500000)."</option>";
			echo"</select><br/><input type='submit' name='stavka' value='Сделать ставку'/></form>[<a href='player.php?id=$id&amp;mytime=$realtime'>обновить страницу</a>]</div>";
		}
	}
	if($club_id && !$a[trans] || $club_id==$a[team_id])
		echo"<div class='phdr'>Действия</div><div class='menu'>";

	if($club_id==$a[team_id])
	{
		echo"<a href='list-of-players.php?id=$a[team_id]&amp;act=uvol&amp;pid=$a[id]'>уволить</a><br/>";
		if($a[trans]!=1)echo"<a href='list-of-players.php?id=$a[team_id]&amp;act=trans&amp;pid=$a[id]'>продать</a><br/>";
	}
	else
	{
		if(!$a[trans])echo"<a href='player.php?id=$id&amp;act=buy'>купить</a><br/>";
	}
	if($rights>=7)echo"<a href='admplayer.php?id=$id'>изменить</a><br/>";
	if($club_id && !$a[trans] || $club_id==$a[team_id])echo"</div>";
	break;
	
	
	case 'pod':
$nav=$_GET[nav];
$ur=$a[$nav]+1;
$nb=$ur*40;
if($nav=="gk")$nb=$ur*80;
if($a[ball]<$nb)echo"<div class='menu'>Чтобы поднять навык на до $ur уровня, футболист должен иметь в своем активе не менее $nb баллов опыта!</div>"; else{
mysql_query("update fman_players set ".$nav."=".($a[$nav]+1).", ball=".($a[ball]-$nb)." where id=$a[id]");
echo"<div class='menu'>Вы подняли данный навык игрока до $ur уровня, потратив на это $nb баллов опыта!</div>";}
echo"<div class='phdr'><a href='player.php?id=$a[id]'>$a[name]</a></div>";
break;
case 'buy':
	

	if($_POST[otkl])
	{
		$cid=intval($_POST[club_id]);
		$cena=intval($_POST[cena]);
		if($a[team_id]==$club_id)
		{
			$wtext='Руководство клуба <a href="/man/club.php?id='.$club_id.'">'.$club_name.'</a> отклонило ваше предложение о покупке игрока <a href="/man/player.php?id='.$id.'">'.$a[name].'</a> за <b>$'.number_format($cena,0,'.',' ').'</b>.';
			mysql_query("insert into `privat` set `user`='".functions::check($_POST['name'])."', `text`='$wtext', `time`='$realtime', `author`='Футбольный менеджер', `type`='in', `chit`='no', `temka`='Ваше предложение отклонено!'");
			echo"<div class='menu'>Действие успешно выполнено! Вы отклонили заявку на трансфер игрока!</div>";
		}
	}
	else
	{
		if($_POST[prin])
		{
			$cid=intval($_POST[club_id]);
			$cena=intval($_POST[cena]);
			
			if($a[team_id]!=$club_id || $a[trans])$e='Ошибка! Игрок стоит на трансфере или он сменил команду.';
			if($e)echo"<div class='rmenu'>$e</div>"; 
			else
			{
				$qcw=mysql_query("select * from fman_clubs where id=$cid;");
				$ddata=mysql_fetch_array($qcw);
				newsadd("Игрок <a href='player.php?id=$a[id]'>$a[name]</a> был продан в клуб <a href='club.php?id=$cid'>$ddata[name]</a>. Сумма сделки составила <b>$".number_format($cena,0,'.',' ')."</b>.",$a[team_id]);
				newsadd("Ряды команды пополнил <a href='player.php?id=$a[id]'>$a[name]</a>, перешедший из клуба <a href='club.php?id=$a[team_id]'>$tdata[name]</a>. Сумма сделки составила <b>$".number_format($cena,0,'.',' ')."</b>.",$cid);
				$wtext='Руководство клуба <a href="/man/club.php?id='.$club_id.'">'.$club_name.'</a> приняло ваше предложение о покупке игрока <a href="/man/player.php?id='.$id.'">'.$a[name].'</a> за <b>$'.number_format($cena,0,'.',' ').'</b>. Трансфер состоялся!';
				mysql_query("insert into `privat` set `user`='$_POST[name]', `text`='$wtext', `time`='$realtime', `author`='Футбольный менеджер', `type`='in', `chit`='no', `temka`='Пополнение в команде'");
				mysql_query("update fman_players set team_id=$cid where id=$id");
				mysql_query("update fman_clubs set budj=".($tdata[budj]+$cena)." where id=$tdata[id]");
				mysql_query("update fman_clubs set budj=".($ddata[budj]-$cena)." where id=$ddata[id]");

				mysql_query("insert into fman_news set time='$realtime', pl_id='$id', name='$a[name]', id1='$club_id', id2='$ddata[id]', cena='$cena', club_id='0'");
				echo"<div class='menu'>Действие успешно выполнено! Вы продали игрока! Подробную информацию вы можете найти в журнале клуба.</div>";
			}
		}
		else
		{
			if(!$_POST[submit])
			{
				echo"<div class='phdr'>Покупка игрока $a[name]</div>
				<form action='player.php?id=$id&amp;act=buy' method='post'><div class='menu'>
				Ваше предложение руководству клуба (минимум $".$market."):<br/>
				<input type='text' name='market' value='$market'/><br/>
				<input type='submit' name='submit' value='Отправить'/></div></form>";
			}
			else
			{
				$cena=intval($_POST[market]);
				if(!is_numeric($cena) || $cena<$market)$e="Ошибка! Минимальная сумма предложения $".$market."!";
				if($dataclub[budj]<$cena)$e="Ошибка! У вас нехватает средств для покупки игрока!";
				
				if($e)
					echo"<div class='rmenu'>$e</div>"; 
				else
				{
					$wtext='Вам поступило предложение от руководства клуба <a href="/man/club.php?id='.$club_id.'">'.$club_name.'</a> о покупке игрока <a href="/man/player.php?id='.$id.'">'.$a[name].'</a> за <b>$'.number_format($cena,0,'.',' ').'</b>. Вы можете принять, либо отклонить предложение.<form action="/man/player.php?id='.$id.'&amp;act=buy" method="post"><input type="hidden" name="cena" value="'.$cena.'"/><input type="hidden" name="club_id" value="'.$club_id.'"/><input type="hidden" name="name" value="'.$login.'"/><input type="submit" name="prin" value="Принять"/><br/><input type="submit" name="otkl" value="Отклонить"/></form>';
					mysql_query("insert into `privat` set `user`='$udata[name]', `text`='$wtext', `time`='$realtime', `author`='Футбольный менеджер', `type`='in', `chit`='no', `temka`='Предложение продать игрока'");
					echo"<div class='menu'>Ваше предложение отправлено руководству клуба! Ответ на него ждите по внутренней почте.</div>";
				}
			}
		}
	}
	echo"<div class='phdr'><a href='player.php?id=$a[id]'>$a[name]</a></div>";
	break;
} 
echo"<div class='phdr'><a href='club.php?id=$a[team_id]'>$tdata[name]</a><br/>
<a href='index.php'>Фут.менеджер</a></div>";
require_once("../incfiles/end.php"); ?>
